package com.dxhy.extend.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.invoice.ExtAddTaxInvoice;
import com.dxhy.extend.entity.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author dxhy
 */
@Mapper
public interface ExtSaleSignDao extends BaseMapper<ExtSaleSignModel> {

    /**
     * 待填
     *
     * @param paramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtSaleSignModel> querySaleSign(Map<String, Object> paramsMap);

    List<ExtSaleSignDetailModel> querySaleSignDetail(Map<String, Object> paramsMap);

    List<ExtSaleSignInvoiceModel> querySaleSignInvoice(Map<String, Object> paramsMap);

    List<ExtAddTaxInvoice> selectAddTaxHj(Map<String, Object> paramsMap);
}
